create table tb_menu
(
    MENU_ID       varchar(20)            not null comment '메뉴 ID'
        primary key,
    MENU_NM       varchar(100)           not null comment '메뉴 이름',
    MENU_DC       varchar(200)           null comment '메뉴 설명',
    UPPER_MENU_ID varchar(20)            null comment '상위 메뉴 ID',
    MENU_LEVEL    int                    not null comment '메뉴 레벨',
    SORT_ORDR     int                    not null comment '정렬 순서',
    MENU_URL      varchar(200)           null comment '메뉴 URL',
    URL_PATTERN   varchar(2000)          null comment 'URL 패턴',
    MENU_ICON     varchar(100)           null comment '메뉴 아이콘',
    USE_YN        varchar(1)             not null comment '사용 여부',
    VIEW_YN       varchar(1) default 'Y' not null comment '화면 표시 여부',
    REG_DTTM      datetime               null comment '등록 일시',
    RGTR          varchar(20)            null comment '등록자',
    MDFCN_DTTM    datetime               null comment '수정 일시',
    MDFR          varchar(20)            null comment '수정자',
    constraint fk_menu_upper
        foreign key (UPPER_MENU_ID) references tb_menu (MENU_ID)
)
    comment '메뉴';

